package com.tanpu.community.api.beans.qo.feign.fatools;

import com.tanpu.community.api.beans.req.page.Pageable;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class UserInfoCorpReq {

    @ApiModelProperty(value = "热门推荐id")
    private String hotRecommendId;
    @ApiModelProperty(value = "分页查询")
    private Pageable page;
    @ApiModelProperty(value = "排除id")
    private List<String> excludeIds;
}

