package com.tanpu.community.api.beans.resp;

import com.tanpu.community.api.beans.qo.FollowQo;
import com.tanpu.community.api.beans.qo.ThemeQo;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@ApiModel(value = "主题搜索")
public class ThemeAndUserSearchResp {
    public List<ThemeQo> themes;

    public List<FollowQo> users;

    public ThemeAndUserSearchResp() {
        this.themes = new ArrayList<>();
        this.users = new ArrayList<>();
    }
}
