package com.tanpu.community.api.beans.resp;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "首页功能是否展示")
public class HomeSettingsResp {

    @ApiModelProperty("显示推门推荐 0:否 1：是")
    private Integer showHotRecommend;

    @ApiModelProperty("显示热门话题 0:否 1：是")
    private Integer showHotTopic;
}
