package com.tanpu.community.api.beans.resp;

import com.tanpu.community.api.beans.qo.FollowQo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "热门推荐")
public class HotRecommendResp {

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("热门推荐")
    private String hotRecommendId;

    @ApiModelProperty("用户信息")
    private List<FollowQo> userInfo;
}
