package com.tanpu.community.api.beans.vo.feign.fatools;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("机构信息")
public class UserInfoCorpResp {


    @ApiModelProperty(value = "机构id")
    private String corpId;


    @ApiModelProperty(value = "公司全称")
    private String corpName;


    @ApiModelProperty(value = "申请用户id")
    private String applyUserId;

    @ApiModelProperty(value = "认证名称")
    private String certName;
}
