package com.tanpu.community.feign.community;

import com.tanpu.common.api.CommonResp;
import com.tanpu.community.api.beans.vo.feign.newsfeed.NewsFeedSave4NewCommReq;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(value = "service-community",  url = "${tanpu.community.svc:}", path = "/community")
// @FeignClient(value = "service-community", contextId = "community", fallbackFactory = FeignBackClientForCommunity.class, url = "http://127.0.0.1:8202/community")
public interface FeignClientForCommunity {


    @ApiOperation("发布专栏 圈子用feign")
    @PostMapping("/newsFeed/save4NewComm")
    CommonResp saveNewsFeed4NewComm(NewsFeedSave4NewCommReq req);

    /**
     * 测试用 traceId
     */
    @GetMapping("/newsFeed/testTraceId")
    CommonResp testTraceId(@RequestParam("no") String no);
}
